Seedream Images
curl --request POST \
--url https://api.acedata.cloud/seedream/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
'import requests
url = "https://api.acedata.cloud/seedream/images"
payload = {
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'doubao-seedream-5-0-260128', prompt: 'a white siamese cat'})
};
fetch('https://api.acedata.cloud/seedream/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"data": [
{
"prompt": "a cute cat running",
"image_url": "https://platform.cdn.acedata.cloud/seedream/ced32fad-5572-4c2b-8e91-9264dd9b8868.jpg"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Seedream Images
POST
/
seedream
/
images
Seedream Images
curl --request POST \
--url https://api.acedata.cloud/seedream/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
'import requests
url = "https://api.acedata.cloud/seedream/images"
payload = {
"model": "doubao-seedream-5-0-260128",
"prompt": "a white siamese cat"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'doubao-seedream-5-0-260128', prompt: 'a white siamese cat'})
};
fetch('https://api.acedata.cloud/seedream/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
"trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
"data": [
{
"prompt": "a cute cat running",
"image_url": "https://platform.cdn.acedata.cloud/seedream/ced32fad-5572-4c2b-8e91-9264dd9b8868.jpg"
}
]
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Auktoriseringar
API token from https://platform.acedata.cloud
Rubriker
Seedream Images Param Accept
Tillgängliga alternativ:
application/json Kropp
application/json
Seedream Images Model
Tillgängliga alternativ:
doubao-seedream-5-0-260128, doubao-seedream-4-0-250828, doubao-seedream-4-5-251128, doubao-seedream-3-0-t2i-250415, doubao-seededit-3-0-i2i-250628 Seedream Images Prompt
Exempel:
"a white siamese cat"
Seedream Images Image
Seedream Images Size
Tillgängliga alternativ:
1K, 2K, 3K, 4K, adaptive Exempel:
"2K"
Seedream Images Seed
Seedream Images Sequential Image Generation
Tillgängliga alternativ:
auto, disabled Seedream Images Sequential Image Generation Options
Show child attributes
Show child attributes
Seedream Images Stream
Seedream Images Guidance Scale
Seedream Images Response Format
Seedream Images Watermark
Seedream Images Output Format
Tillgängliga alternativ:
jpeg, png Seedream Images Tools
Show child attributes
Show child attributes
Seedream Images Optimize Prompt Options
Show child attributes
Show child attributes
Seedream Images Callback Url
Seedream Images Async
Var denna sida till hjälp?

